Get voice translation job status
curl --request GET \
--url https://api.deepl.com/v1/jobs/voice/translate/{job_id} \
--header 'Authorization: <api-key>'{
"job_id": "a74d88fb-ed2a-4943-a664-a4512398b994",
"product": "voice",
"operation": "translate",
"created_at": "2026-10-01T01:03:03.444Z",
"updated_at": "2026-10-01T04:03:03.333Z",
"usage": {
"storage_used": 31457280
},
"source_file": {
"name": "podcast-episode-42.mp3",
"content_type": "audio/mpeg",
"content_length": 15728640
},
"parameters": {
"source_language": "en"
},
"targets": [
{
"language": "de",
"type": "text/plain"
},
{
"language": "es",
"type": "audio/pcm;encoding=s16le;rate=16000"
}
],
"results": [
{
"status": "processing"
},
{
"status": "processing"
}
]
}Translate Audio Files
Get voice translation job status
Check the status of a voice translation job and get a download URL and signature for each completed target.
GET
/
v1
/
jobs
/
voice
/
translate
/
{job_id}
Get voice translation job status
curl --request GET \
--url https://api.deepl.com/v1/jobs/voice/translate/{job_id} \
--header 'Authorization: <api-key>'{
"job_id": "a74d88fb-ed2a-4943-a664-a4512398b994",
"product": "voice",
"operation": "translate",
"created_at": "2026-10-01T01:03:03.444Z",
"updated_at": "2026-10-01T04:03:03.333Z",
"usage": {
"storage_used": 31457280
},
"source_file": {
"name": "podcast-episode-42.mp3",
"content_type": "audio/mpeg",
"content_length": 15728640
},
"parameters": {
"source_language": "en"
},
"targets": [
{
"language": "de",
"type": "text/plain"
},
{
"language": "es",
"type": "audio/pcm;encoding=s16le;rate=16000"
}
],
"results": [
{
"status": "processing"
},
{
"status": "processing"
}
]
}Authorizations
Path Parameters
Query Parameters
Response
Job status retrieved successfully.